import Express from 'express'
import appConfig from '../utils/get-app-config'

export function createApp(options, onStart = () => {}) {
  const app = Express()

  app.listen(appConfig.appPort, function () {
    console.log(`server is running in http://localhost:${appConfig.appPort}`)
  })

  // 服务器启动回调
  onStart()

  return app
}